aboutsummaryrefslogtreecommitdiffstats
path: root/find-provides.in
diff options
context:
space:
mode:
authorDexter Morgan <dmorgan@mageia.org>2011-12-31 09:19:41 +0000
committerDexter Morgan <dmorgan@mageia.org>2011-12-31 09:19:41 +0000
commit6e05b67ebbc11a4bfcda51568863326ec59f0d17 (patch)
tree77f61a6d719c22cdb5ed883af4db5559ed3678b5 /find-provides.in
parent7b265a3453b5a6d3bceaff684d9ba97ec92226f6 (diff)
downloadrpm-setup-6e05b67ebbc11a4bfcda51568863326ec59f0d17.tar
rpm-setup-6e05b67ebbc11a4bfcda51568863326ec59f0d17.tar.gz
rpm-setup-6e05b67ebbc11a4bfcda51568863326ec59f0d17.tar.bz2
rpm-setup-6e05b67ebbc11a4bfcda51568863326ec59f0d17.tar.xz
rpm-setup-6e05b67ebbc11a4bfcda51568863326ec59f0d17.zip
Better handle maven.prov
Diffstat (limited to 'find-provides.in')
-rwxr-xr-xfind-provides.in7
1 files changed, 5 insertions, 2 deletions
diff --git a/find-provides.in b/find-provides.in
index 0ef9b15..a52a234 100755
--- a/find-provides.in
+++ b/find-provides.in
@@ -10,6 +10,7 @@ solist=$(echo "$filelist" | egrep -v "^/lib/ld\.so|/usr/lib(64)?/gcj/" | egrep '
pythonlist=
tcllist=
rubygemlist=$(echo "$filelist"| egrep "\.gemspec$")
+mavenlist=$(echo "$filelist" |egrep '/usr/share/maven-poms/.*\.pom')
#
# --- Alpha does not mark 64bit dependencies
@@ -153,8 +154,10 @@ fi
#
# --- maven provides
if [ -x @RPMLIBDIR@/maven.prov ];then
- echo $filelist | tr '[:blank:]' '\n' | @RPMLIBDIR@/maven.prov \
- && test ${PIPESTATUS[2]} -ne 0 && echo 'error: @RPMLIBDIR@/maven.prov failed' >&2 && exit 1
+ if [ ! -z $mavenlist ]; then
+ echo $mavenlist | tr '[:blank:]' '\n' | @RPMLIBDIR@/maven.prov \
+ && test ${PIPESTATUS[2]} -ne 0 && echo 'error: @RPMLIBDIR@/maven.prov failed' >&2 && exit 1
+ fi
fi
exit 0